/* Home Section Start */
.home {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 3rem;
    padding: 0 9%;
    background: url(../img/homeBg.png) no-repeat;
    background-size: cover;
    background-position: center;
    overflow-y: hidden;
}

.home .home-content {
    z-index: 1;
    max-width: 60rem;
}

.home .home-content .greating {
    font-size: 2.3rem;
    font-weight: 600;
    margin-bottom: 1rem;
    position: relative;
    display: inline-block;
}

.home .home-content h1 {
    font-size: 5.6rem;
    font-weight: 700;
    line-height: 1.3;
    position: relative;
    display: inline-block;
}

.home .home-content h1 span {
    color: var(--text-color);
}

.home .home-content .text-animate {
    position: relative;
    width: 38rem;
    /* background-color: red; */
}

.home .home-content .text-animate h2 {
    font-size: 3.2rem;
    font-weight: 700;
    color: transparent;
    -webkit-text-stroke: .7px var(--main-color);
    background-image: linear-gradient(var(--main-color), var(--main-color));
    background-repeat: no-repeat;
    background-clip: text;
    -webkit-background-clip: text;
    background-position: -38rem 0;
}

.home.show-animate .home-content .text-animate h2 {
    animation: homeBgText 6s linear infinite;
    animation-delay: 2s;
}

.home .home-content .text-animate h2::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 0;
    height: 100%;
    border-right: 2px solid var(--main-color);
    z-index: -1;
}

.home.show-animate .home-content .text-animate h2::before {
    animation: homeCursorText 6s linear infinite;
    animation-delay: 2s;
}

.home .home-content p {
    font-size: 1.6rem;
    margin: 2rem 0 4rem;
    position: relative;
}

.home .btn-box {
    width: 54.5rem;
}

.home .btn-box .btn {
    width: 25rem;
}

.home .home-sci {
    position: relative;
    width: 170px;
    display: flex;
    justify-content: space-between;
}

.home .home-sci a {
    position: relative;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 40px;
    height: 40px;
    background-color: transparent;
    border: .2rem solid var(--main-color);
    border-radius: 50%;
    font-size: 20px;
    color: var(--main-color);
    overflow: hidden;
    transition: .5s;
    z-index: 1;
}

.home .home-sci a:hover {
    color: var(--bg-color);
}

.home .home-sci a::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 0;
    height: 100%;
    background-color: var(--main-color);
    z-index: -1;
    transition: .5s;
}

.home .home-sci a:hover::before {
    width: 100%;
}



.home-imgHover {
    position: absolute;
    top: 0;
    right: 0;
    width: 45%;
    height: 100%;
    background-color: transparent;
    transition: 3s;
}

.home-imgHover:hover {
    background-color: var(--bg-color);
    opacity: 0.8;
}

/* Home Section End */



/* ABout Section Start */
.about {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 2rem;
    padding-bottom: 6rem;
    background-color: var(--second-bg-color);
}

.about .about-img {
    position: relative;
    width: 25rem;
    height: 25rem;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.about .about-img img {
    width: 90%;
    height: 90%;
    object-fit: cover;
    object-position: center top;
    border-radius: 50%;
    border: 2px solid var(--main-color);
}

.about .about-img .circle-spin {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    height: 100%;
    border-radius: 50%;
    border: .2rem solid transparent;
    border-left: .2rem solid var(--main-color);
    border-right: .2rem solid var(--main-color);
    animation: aboutSpinner 8s linear infinite;
}

.about .about-content {
    text-align: center;
}

.about .about-content h3 {
    font-size: 2.6rem;
    position: relative;
    display: inline-block;
}

.about .about-content p {
    position: relative;
    font-size: 1.6rem;
    margin: 2rem 0rem 3rem;
    max-width: 95rem;
}


.btn-box.btns {
    display: inline-block;
    width: 15rem;
}

.about .btn-box.btns {
    width: 22rem;
    /* background-color: red; */
}

.about .btn-box.btns .btn {
    width: 100%;
}

.about .btn-box.btns a::before {
    background-color: var(--second-bg-color);
}

/* ABout Section End */



/* Realisation Section Start */
.realisation {
    display: flex;
    flex-wrap: wrap;
    gap: 1rem;
}

.realisation>* {
    flex: 0 0 calc((100% - 1rem) / 2);
    position: relative;
}

.realisation .content {
    height: 100vh;
    max-height: 800px;
    position: sticky;
    top: 0;
    /* background-color: blue; */
    display: flex;
    gap: 1.3rem;
    flex-direction: column;
    justify-content: center;
}

.realisation .content .animate {
    width: 100%;
}

.realisation .content .text {
    position: relative;
}

.realisation .content .text::before {
    content: "";
    position: absolute;
    top: 0;
    right: 0;
    height: 100%;
    width: 0;
    background-color: var(--bg-color);
    transition: .5s;
}

.realisation .content .text.hide::before {
    width: 100%;
}

.realisation .content .description.text.hide::before {
    transition-delay: .15s;
}

.realisation .content .name,
.realisation .realisation_name {
    display: inline-block;
    font-size: 2.5rem;
}

.realisation .content .description,
.realisation .realisation_description {
    max-width: 380px;
    font-size: 1.6rem;
}

.realisation .image.splide {
    visibility: visible;
}

.realisation .image {
    display: flex;
    align-items: start;
    flex-direction: column;
    gap: 0px;
}

.realisation .image .animate {
    right: -5%;
    width: 110%;
}

/* .realisation .image::before{
    content: "";
    position: sticky;
    top: 50%;
    left: 50%;
    width: 250px;
    height: 250px;
    border-radius: 50%;
    background-color: #e1e1e108;
    filter: blur(45px);
} */

.realisation .image .item {
    position: sticky;
    top: 0;
    flex-basis: 100vh;
    max-height: 800px;

    /* background-color: red; */
    display: flex;
    align-items: center;
    justify-content: center;
}

.realisation .image .item img {
    border-radius: 25px;
    max-width: min(40vw, 700px);
    object-fit: contain;
    box-shadow: 0 0 3px #1e1e1eb2;
    transform: rotate(5deg);
}

.realisation .image .item:nth-child(even) img {
    transform: rotate(-5deg);
}


.realisation .image .realisation_about {
    display: none;
}

.realisation .controller {
    display: none;
    position: absolute;
    bottom: 10px;
    right: 30px;
}

/* Realisation Section End */


/* Education Section Start */
.education {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    min-height: 100vh;
    padding-bottom: 5rem;
}

.education .education-row {
    display: flex;
    flex-wrap: wrap;
    gap: 5rem;
}

.education .education-row .education-column {
    flex: 1 1 40rem;
}

.education .education-row .education-column .title {
    position: relative;
    display: inline-block;
    font-size: 2.5rem;
    margin: 0 0 1.15rem 2rem;
}

.education .education-row .education-column .education-box {
    position: relative;
    border-left: .2rem solid var(--main-color);
}

.education .education-row .education-column .education-box .education-content {
    position: relative;
    padding-left: 2rem;
}

.education .education-row .education-column .education-box .education-content::before {
    content: "";
    position: absolute;
    top: 0;
    left: -1.1rem;
    width: 2rem;
    height: 2rem;
    background-color: var(--main-color);
    border-radius: 50%;
}

.education .education-row .education-column .education-box .education-content .content {
    position: relative;
    padding: 1.5rem;
    border: .2rem solid var(--main-color);
    border-radius: .6rem;
    margin-bottom: 2rem;
    z-index: 1;
    overflow: hidden;
}

.education .education-row .education-column .education-box .education-content .content::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 0;
    height: 100%;
    background-color: var(--second-bg-color);
    z-index: -1;
    transition: .5s;
}

.education .education-row .education-column .education-box .education-content .content:hover::before {
    width: 100%;
}

.education .education-row .education-column .education-box .education-content .content .year {
    font-size: 1.5rem;
    color: var(--main-color);
    padding: 0.5rem;
}

.education .education-row .education-column .education-box .education-content .content .year i {
    padding-right: 0.5rem;
    transform: translateY(.1rem);
}

.education .education-row .education-column .education-box .education-content .content h3 {
    font-size: 2rem;
}

.education .education-row .education-column .education-box .education-content .content p {
    font-size: 1.6rem;
    padding-top: 0.5rem;
}

/* Education Section End */


/* Skills Section Start */
.skills {
    min-height: 100vh;
    padding-bottom: 7rem;
    background-color: var(--second-bg-color);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.skills .heading {
    text-align: center;
    width: 100%;
}

.skills .skills-row {
    display: flex;
    flex-wrap: wrap;
    gap: 5rem;
    width: 100%;
    max-width: 1200px;
}

.skills .skills-row .skills-column {
    flex: 1 1 40rem;
}

.skills .skills-row .skills-column .title {
    position: relative;
    display: inline-block;
    font-size: 2.5rem;
    margin: 0 0 1.5rem;
}

.skills .skills-row .skills-column .skills-box {
    position: relative;
}

.skills .skills-row .skills-column .skills-box .skills-content {
    position: relative;
    border: .2rem solid var(--main-color);
    border-radius: .6rem;
    padding: .5rem 1.5rem;
    z-index: 1;
    overflow: hidden;
}

.skills .skills-row .skills-column .skills-box .skills-content::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 0;
    height: 100%;
    background-color: var(--bg-color);
    z-index: -1;
    transition: .5s;
}

.skills .skills-row .skills-column .skills-box .skills-content:hover::before {
    width: 100%;
}

.skills .skills-row .skills-column .skills-box .progress {
    padding: 1rem 0;
}

.skills .skills-row .skills-column .skills-box .progress h3 {
    font-size: 1.7rem;
    display: flex;
    justify-content: space-between;
}

.skills .skills-row .skills-column .skills-box .progress h3 span {
    color: var(--text-color);
}

.skills .skills-row .skills-column .skills-box .progress .bar {
    /* position: absolute; */
    height: 2.5rem;
    border-radius: .6rem;
    border: .2rem solid var(--main-color);
    margin: 1rem 0;
    padding: .5rem;
}

.skills .skills-row .skills-column .skills-box .progress .bar span {
    display: block;
    height: 100%;
    border-radius: .3rem;
    background-color: var(--main-color);
}

.skills .skills-row .skills-column:nth-child(1) .skills-box .progress:nth-child(1) .bar span {
    width: 80%;
}

.skills .skills-row .skills-column:nth-child(1) .skills-box .progress:nth-child(2) .bar span {
    width: 75%;
}

.skills .skills-row .skills-column:nth-child(1) .skills-box .progress:nth-child(3) .bar span {
    width: 95%;
}

.skills .skills-row .skills-column:nth-child(1) .skills-box .progress:nth-child(4) .bar span {
    width: 91%;
}

.skills .skills-row .skills-column:nth-child(2) .skills-box .progress:nth-child(1) .bar span {
    width: 92%;
}

.skills .skills-row .skills-column:nth-child(2) .skills-box .progress:nth-child(2) .bar span {
    width: 90%;
}

.skills .skills-row .skills-column:nth-child(2) .skills-box .progress:nth-child(3) .bar span {
    width: 85%;
}

.skills .skills-row .skills-column:nth-child(2) .skills-box .progress:nth-child(4) .bar span {
    width: 76%;
}

/* Skills Section End */



/* Contact Section Start */
.contact {
    min-height: calc(100svh - 85px);
    /* padding-bottom: 7rem; */
    display: flex;
    align-items: center;
    justify-content: center;
}

.contact .wrapper {}

.contact .heading {
    position: relative;
    display: inline-block;
    left: 50%;
    transform: translateX(-50%);
}

.contact form {
    max-width: 70rem;
    margin: 0 auto;
    text-align: center;
}

.contact form .input-box {
    position: relative;
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}

.contact form .input-box .input-field {
    position: relative;
    width: 49%;
    margin: 0.8rem 0;
}

.contact form .input-box .input-field input,
.contact form .textarea-field textarea {
    width: 100%;
    height: 100%;
    padding: 1.5rem;
    font-size: 1.6rem;
    color: var(--text-color);
    background-color: transparent;
    border-radius: .6rem;
    border: .2rem solid var(--main-color);
    position: relative;
}

.contact form .input-box .input-field:has(input:required)::before,
.contact form .textarea-field::before {
    content: "*";
    position: absolute;
    right: 5px;
    top: 5px;
    font-size: 2rem;
    color: red;
    color: var(--main-color);
}

.contact form .input-box .input-field:has(input:required:valid)::before,
.contact form .textarea-field:has(textarea:valid)::before {
    color: green;
}

.contact form .input-box .input-field input::placeholder,
.contact form .textarea-field textarea::placeholder {
    color: var(--text-color);
    opacity: 0.8;
}

.contact form .focus {
    position: absolute;
    top: 0;
    left: 0;
    width: 0;
    height: 100%;
    background-color: var(--second-bg-color);
    z-index: -1;
    border-radius: .6rem;
    transition: .5s;
}

.contact form .input-box .input-field input:focus~.focus,
.contact form .input-box .input-field input:valid~.focus,
.contact form .textarea-field textarea:focus~.focus,
.contact form .textarea-field textarea:valid~.focus {
    width: 100%;
}

.contact form .textarea-field {
    position: relative;
    margin: 0.8rem 0 2.7rem;
    display: flex;
}

.contact form .textarea-field textarea {
    resize: none;
}

.contact form .btn-box .btn {
    cursor: pointer;
}

/* Contact Section End */


.footer {
    background-color: var(--bg-color);
}

.footer .footerIconTop a::before {
    background-color: var(--bg-color);
}

.footer .animate.scroll {
    background-color: var(--bg-color);
}


/* ========================================
   RESPONSIVE STYLES
   All media queries have been moved to:
   assets/css/responsive/home.css
   ======================================== */









/* Animations */
@keyframes homeBgText {

    0%,
    10%,
    100% {
        background-position: -38rem 0;
    }

    65%,
    85% {
        background-position: 0 0;
    }
}

@keyframes homeCursorText {

    0%,
    10%,
    100% {
        width: 0;
    }

    65%,
    78%,
    85% {
        width: 100%;
        opacity: 1;
    }

    75%,
    81% {
        opacity: 0;
    }
}

@keyframes aboutSpinner {
    100% {
        transform: translate(-50%, -50%) rotate(360deg);
    }
}